Split importing of host and facts into separate methods

02/26/2016 04:55 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Importers   

Target version: 1.12.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3242

  

Description

Host#import_host_and_facts does to many things. While importing host is class responsibility, facts importing is host instance

responsibility. This makes it hard if plugins like foreman-tasks wants to make facts importing a background process while keeping

host importing as is. In fact it makes the foreman tasks plugin to re-implement the importing which gets out of sync every now and

then.

Related issues:

Related to Discovery - Refactor #13914: Split import_hosts_and_facts Closed 02/26/2016

Associated revisions

Revision d4ec6441 - 03/04/2016 03:01 AM - Marek Hulán

Fixes #13913 - split importing of host and facts

History

#1 - 02/26/2016 04:55 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3242 added

#2 - 02/26/2016 05:21 AM - Lukas Zapletal

- Related to Refactor #13914: Split import_hosts_and_facts added

#3 - 03/04/2016 04:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d4ec64418b8db6093375f8d4b690d506705163f7.

#4 - 03/07/2016 03:40 AM - Dominic Cleal

- translation missing: en.field_release set to 136
